play.mvc

## Class Http

- java.lang.Object
- - play.mvc.Http

-     public class Http
      extends java.lang.Object

  HTTP interface

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Http.Cookie` An HTTP Cookie
    `static class` | `Http.Header` An HTTP Header
    `static class` | `Http.Inbound` A Websocket Inbound channel
    `static class` | `Http.Outbound` A Websocket Outbound channel
    `static class` | `Http.Request` An HTTP Request
    `static class` | `Http.Response` An HTTP response
    `static class` | `Http.StatusCode`
    `static class` | `Http.WebSocketClose`
    `static class` | `Http.WebSocketEvent`
    `static class` | `Http.WebSocketFrame` A Websocket frame

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `invocationType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Http()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### invocationType

          public static final java.lang.String invocationType

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Http

          public Http()

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly